'use strict';
var Foxx = require('org/arangodb/foxx');
var joi = require('joi');

module.exports = Foxx.Model.extend({
  schema: {
    // Describe the attributes with joi here
    _key: joi.string(),
    _id: joi.string().optional().empty(''),
    _rev: joi.string().optional().empty(''),
    name: joi.string(),
    size: joi.number().integer().optional(),
    description: joi.string().optional().empty(''),
    contentType: joi.string().optional().empty(''),
    originalName: joi.string().optional().empty(''),
    dataKind: joi.string().optional().empty(''),
    dataKey: joi.string().optional().empty('')
  }
});
