'use strict';
var Foxx = require('org/arangodb/foxx');
var joi = require('joi');

module.exports = Foxx.Model.extend({
  schema: {
    // Describe the attributes with joi here
    _key: joi.string(),
    _id: joi.string().optional().empty(''),
    _rev: joi.string().optional().empty(''),
    title: joi.string(),
    project: joi.string(),
    category: joi.string(),
    status: joi.string(),
    priority: joi.string(),
    assigned: joi.string().empty(''),
    createUser: joi.string(),
    createDate: joi.date(),
    description: joi.string(),
    issueNo: joi.number()
  }
});